﻿using System;

namespace University
{
    class Program
    {
        static void Main(string[] args)
        {
            Student s1 = new Student("Nagy Géza");
            Student s2 = new Student("Kiss Ferenc");
            Student s3 = new Student("Széles Attila");
            Student s4 = new Student("Kiss Ferenc");
            Student s5 = new Student("Kiss Fanni");

            Console.WriteLine("Hallgatók:");
            Console.WriteLine(s1);
            Console.WriteLine(s2);
            Console.WriteLine(s3);
            Console.WriteLine(s4);
            Console.WriteLine(s5);
            Console.WriteLine();
            Console.ReadKey();

            Teacher t1 = new Teacher("Gipsz Jakab");
            Course c1 = new Course("Eseményvezérelt alkalmazások fejlesztése 2", t1);
            Course c2 = t1.CreateCourse("Diszkrét matematika");

            Teacher t2 = new Teacher("Hosszú Gábor");
            Course c3 = t2.CreateCourse("C++ programozás");

            Teacher t3 = new Teacher("Gipsz János");
            Course c4 = "Analízis 3" + t3;

            Console.WriteLine("Oktatók:");
            Console.WriteLine(t1);
            Console.WriteLine(t2);
            Console.WriteLine(t3);
            Console.WriteLine();
            Console.ReadKey();

            s1.SignForCourse(c1);
            s2.SignForCourse(c1);

            s1.SignForCourse(c2);
            s2.SignForCourse(c2);
            s3.SignForCourse(c2);
            s4.SignForCourse(c2);
            s5.SignForCourse(c2);

            c3.AddStudent(s3);
            c3.AddStudent(s4);
            c3.AddStudent(s5);

            c4.AddStudent(s4);
            c4.AddStudent(s5);

            Console.WriteLine("Kurzusok:");
            foreach (Course course in Course.Courses)
            {
                Console.WriteLine("{0}, létszám: {1}, hallgatók:", course, course.Students.Count);
                foreach (Student student in course.Students)
                    Console.WriteLine("\t{0}", student);
            }
            Console.WriteLine();
            Console.ReadKey();

            Console.WriteLine("Hallgatók:");
            foreach (Student student in Student.Students)
            {
                Console.WriteLine("{0}, kurzusok:", student);
                foreach (Course course in student.Courses)
                    Console.WriteLine("\t{0}", course);
            }
            Console.WriteLine();
            Console.ReadKey();
        }
    }
}
