﻿using System;

namespace Factorial
{
    class Program
    {
        private static void Main(string[] args)
        {
            Int32 number = 0;
            Int64 sum; // az eredményhez nagyobb értéktartományt veszünk

            Console.WriteLine("Kérek egy pozitív egész számot: ");

            // beolvasás
            Boolean readError = false;
            do
            {
                try
                {
                    number = Convert.ToInt32(Console.ReadLine());
                    readError = number <= 0;
                }
                catch (Exception)
                {
                    readError = true;
                }

                if (readError)
                    Console.WriteLine("Mondom, pozitív egész számot!");
            } while (readError);

            sum = 1; // összegzés 
            for (Int32 i = 1; i <= number; i++)
                sum *= i; // vagy sum = sum * i;

            Console.WriteLine("A szám faktoriálisa: " + sum);
            Console.ReadKey();
        }
    }
}
