﻿using System;

namespace ELTE.Basics.SimpleStack
{
    class Program
    {
        static void Main(string[] args)
        {
            Stack s = null; // verem deklarációja, nem hoz létre objektumot
            s = new Stack(6); // verem definíciója, objektum létrehozása

            s.Push(42); // elemek behelyezése
            s.Push(5.5f);
            s.Push(0);
            s.Push(-1);
            s.Push(6);
            s.Push(4.2f);

            Console.WriteLine("Top: {0}", s.Top); // tetőelem lekérdezése
            Console.WriteLine("Size: {0}", s.Size); // méret lekérdezése

            s.Pop(); // tetőelem törlése
            Console.WriteLine("Top: {0}", s.Top); // tetőelem lekérdezése
            Console.WriteLine("Size: {0}", s.Size); // méret lekérdezése

            s.Push(37); // elemek behelyezése
            try
            {
                s.Push(6.66f); // túlcsordulás
            }
            catch(OverflowException ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.WriteLine("Top: {0}", s.Top); // tetőelem lekérdezése
            Console.WriteLine("Size: {0}", s.Size); // méret lekérdezése
        }
    }
}
