﻿using System;

namespace ELTE.Basics.NumberTypes
{
    /// <summary>
    /// Valós kompatibis szám interfésze
    /// </summary>
    interface IRealCompatible
    {
        /// <summary>
        /// Konvertálás valós számmá
        /// </summary>
        /// <returns>A szám megfelelője valósban</returns>
        Double ToDouble();

        /// <summary>
        /// Kornvertálás valós számból
        /// </summary>
        /// <param name="val">Valós szám</param>
        void FromDouble(Double val);
    }
}
